Skip to content

Autocomplete Token API

When is this needed?

This token step is only required when calling the Autocomplete REST API directly. If you use the SmartMaps Autocomplete Library, token management is handled automatically.

The Autocomplete Token API allows you to generate an authentication token required for using the autocomplete functionality.

Endpoint

GET https://www.yellowmap.de/api_rst/api/autocompleteToken?apiKey={[INSERT API-KEY]}

Parameters

Name Description Data Type Required
apiKey Your SmartMaps API-Key string Yes

Response

The response is of type application/json and contains a string value representing the authentication token.

The token value should be passed as a Bearer token in the Authorization header of every request to the Autocomplete API:

Authorization: Bearer {token}

Note: A token is only valid for 10 minutes and must be requested again after expiration.